Subject: bug#64133: CC Mode 5.35.2 (C/*l); incorrect indentation for an arrays of structs.

From: Jeff Norden <[email-masked]>
Date: Mon, 19 Jun 2023 09:30:48 -0500

On Mon, Jun 19, 2023 at 6:46 AM Alan Mackenzie <[email-masked]> wrote:
> No, I think it really is the cache bug I mentioned in my last post.

I agree.  In fact, a "brute force" fix is to use advice-add to reset
c-laomib-cache to nil before each call to c-indent-line.  What puzzled
me is that certain buffer changes also fix the issue, and that timing
makes a difference in when and how that happens.  I'm now guessing
that the bug is triggered by calls from the fontification system.  If
I start "emacs -Q", and do `M-x global-font-lock-mode' to turn all
fontifcation off, then "C-c C-s" shows correct syntax when I open the
example file.

Thanks again,
-Jeff